Log In  

Hi!
I am getting this problem on my linux machine since version 0.1.5, but I've been working on my windows machine only for some time so it didn't annoy me to the point of complaining about it. Now the only machine I have runs linux Red Hat 6 and every since I can't run it. Here is the error I get:

./pico8: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by ./pico8)
./pico8: /lib64/libc.so.6: version `GLIBC_2.15' not found (required by ./pico8)

Is there something I missed? Some configuration or lib I should get?
I am totally lost here...

P#37309 2017-02-09 11:10 ( Edited 2017-07-24 04:43)

I think i did not provide enough info about the problem.

When I try to yum install the glibc, it returns a message that tells that glibc-2.12-1.192.el6.x86_64 is already installed. I couldn't find a way to install versions 2.14 or 2.15...

P#37512 2017-02-16 07:24 ( Edited 2017-02-16 12:24)

This is because Centos 6 is locked to 2.12. There is no chance for 6 to upgrade its glibc, seeing as it's a core library. Centos 7, however, has glibc 2.17, which is either minimum or close to it for most modern software.

P#37563 2017-02-18 02:33 ( Edited 2017-02-18 07:33)
P#37571 2017-02-18 10:37 ( Edited 2017-02-18 15:37)

That was the issue, italic-. I can´t upgrade my system on my own as the system is subject to some kind of company security policy...

timeline, your advice did the trick.

Thank you both, guys!

P#37910 2017-02-27 22:27 ( Edited 2017-02-28 03:27)

Hey, Sorry for necro-ing this thread.

I am preparing a PICO-8 game programming class in my school, and the system is CENTOS 6, so I'm running in the problem above.

Unfortunately, timeline's advice require root access, which I do not have. Anyone knows a workaround (or hardlinked version of the binary?)

(As a last option, I can just the mac room instead, but I wanted to avoid that...)

Cheers!

P#42745 2017-07-24 00:43 ( Edited 2017-07-24 04:43)

[Please log in to post a comment]

Follow Lexaloffle:          
Generated 2023-02-04 22:25:39 | 0.006s | Q:17